// This is a simple example
package cloudflare

import (
	"go.wit.com/log"
	"go.wit.com/gui"
)

func drawZoneBox(box *gui.Node) {
	g1 := box.NewGroup("zones")

	// make dropdown list of zones
	CFdialog.zonedrop = g1.NewDropdown().SetProgName("ZONES")
	CFdialog.zonedrop.AddText("example.org")
	for d, _ := range Config {
		CFdialog.zonedrop.AddText(d)
	}
	CFdialog.zonedrop.AddText("stablesid.org")

	CFdialog.zonedrop.Custom = func() {
		domain := CFdialog.zonedrop.String()
		log.Log(INFO, "custom dropdown() zone (domain name) =", CFdialog.zonedrop.String(), domain)
		if Config[domain] == nil {
			log.Log(INFO, "custom dropdown() Config[domain] = nil for domain =", domain)
			CFdialog.domainWidget.SetText(domain)
			CFdialog.zoneWidget.SetText("")
			CFdialog.authWidget.SetText("")
			CFdialog.emailWidget.SetText("")
		} else {
			log.Log(INFO, "custom dropdown() a =", domain, Config[domain].ZoneID, Config[domain].Auth, Config[domain].Email)
			CFdialog.domainWidget.SetText(Config[domain].Domain)
			CFdialog.zoneWidget.SetText(Config[domain].ZoneID)
			CFdialog.authWidget.SetText(Config[domain].Auth)
			CFdialog.emailWidget.SetText(Config[domain].Email)
		}
	}

	more := g1.NewGroup("data")
	showCloudflareCredentials(more)
}
